import { Datasource } from '../datasource';
import type { GetReleasesConfig, ReleaseResult } from '../types';
import { GemVersions, GemsInfo } from './schema';
export declare class RubyGemsDatasource extends Datasource {
    static readonly id = "rubygems";
    constructor();
    readonly defaultRegistryUrls: string[];
    readonly defaultVersioning = "ruby";
    readonly registryStrategy = "hunt";
    private readonly versionsEndpointCache;
    getReleases({ packageName, registryUrl, }: GetReleasesConfig): Promise<ReleaseResult | null>;
    getDependencyFallback(registryUrl: string, packageName: string): Promise<ReleaseResult | null>;
    fetchGemsInfo(registryUrl: string, packageName: string): Promise<GemsInfo | null>;
    fetchGemVersions(registryUrl: string, packageName: string): Promise<GemVersions | null>;
    getDependency(registryUrl: string, packageName: string): Promise<ReleaseResult | null>;
}
